Module tdlight.api
Package it.tdlight.jni

# Class TdApi.BackgroundType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.BackgroundType

Direct Known Subclasses:
  `TdApi.BackgroundTypeChatTheme`, `TdApi.BackgroundTypeFill`, `TdApi.BackgroundTypePattern`, `TdApi.BackgroundTypeWallpaper`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.BackgroundType extends TdApi.Object permits TdApi.BackgroundTypeWallpaper, TdApi.BackgroundTypePattern, TdApi.BackgroundTypeFill, TdApi.BackgroundTypeChatTheme
This class is an abstract base class. Describes the type of a background.

## Constructor Summary

Constructors
Constructor
Description
`BackgroundType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BackgroundType

public BackgroundType()
Default class constructor.